Subject: Re: What is blackstrap molasses?

From: [email-masked] (Roland J Saldanha)
Date: Tue, 15 Mar 1994 19:51:13 GMT

Molasses is the mother liquor remaining when sugar is crystalised.  The 
crystalisation process is repeated a number of times in each cycle the sugar is
further depleted and the mother liquor is left with a slightly different 
character since it is more and more depleted of sugar but has the rest of the 
stuff from the the vegetable source (sugarcane, beet etc).  Blackstrap molasses
is the stuff left at the end of the process where not much sugar is left.  It 
is thus strongly flavored.  At one time (when sugar was extracted from boiling 
vats of iron) it was a good source of iron.  In todays, factory homogenised 
era I am not sure this is still true.